Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 181263 - Provide UI to manage certificates to sign the JNLP application
Provide UI to manage certificates to sign the JNLP application
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Java Webstart
6.x
PC All
: P2 (vote)
: 7.0
Assigned To: Maros Sandor
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 05:41 UTC by Tomas Zezula
Modified: 2010-09-01 03:28 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-02-26 05:41:01 UTC
Currently it's very difficult to set all the required properties needed to use custom certificate. The non Ant expert is not able to do it. The UI is really needed for it.
The UI will need a chooser of certificate store, key store passwords, alias and option to generate a new key.
Comment 1 Quality Engineering 2010-08-31 03:21:39 UTC
Integrated into 'main-golden', will be available in build *201008310001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/304aefbd09ae
User: Maros Sandor <msandor@netbeans.org>
Log: #181263: Initial UI changes, introducing new project properties
Comment 2 Maros Sandor 2010-08-31 08:17:37 UTC
Added the option to sign with a specified key.
48675026f674
Comment 3 Quality Engineering 2010-09-01 03:28:39 UTC
Integrated into 'main-golden', will be available in build *201009010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/48675026f674
User: Maros Sandor <msandor@netbeans.org>
Log: #181263: Added the option to sign with a specified key


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo